Need Help installing Matrix, instruction doesn't work. gpg: no valid OpenPGP data found. Unable to locate package matrixio-malos

On a raspberry pi 4
When following this instruction
https://matrix-io.github.io/matrix-documentation/matrix-core/getting-started/core-installation/

curl https://apt.matrix.one/doc/apt-key.gpg | sudo apt-key add -
echo “deb https://apt.matrix.one/raspbian $(lsb_release -sc) main” | sudo tee /etc/apt/sources.list.d/matrixlabs.list

I get the error

gpg: no valid OpenPGP data found.

then everything else fails:
triton@triton-pi:~$ sudo apt-get update
sudo apt-get upgrade
Hit:1 Index of /ubuntu-ports impish InRelease
Ign:2 Index of /gnome-terminator/ppa/ubuntu impish InRelease
Get:4 Index of /ubuntu-ports impish-updates InRelease [115 kB]
Err:5 Index of /gnome-terminator/ppa/ubuntu impish Release
404 Not Found [IP: 2001:67c:1560:8008::19 80]
Ign:3 https://s3.amazonaws.com/apt.matrix.one/raspbian impish InRelease
Err:6 https://s3.amazonaws.com/apt.matrix.one/raspbian impish Release
404 Not Found [IP: 52.216.18.155 443]
Get:7 Index of /ubuntu-ports impish-backports InRelease [101 kB]
Get:8 Index of /ubuntu-ports impish-security InRelease [110 kB]
Get:9 Index of /ubuntu-ports impish-updates/main arm64 DEP-11 Metadata [25.8 kB]
Get:10 Index of /ubuntu-ports impish-updates/universe arm64 DEP-11 Metadata [35.4 kB]
Get:11 Index of /ubuntu-ports impish-backports/universe arm64 DEP-11 Metadata [16.4 kB]
Get:12 Index of /ubuntu-ports impish-security/main arm64 DEP-11 Metadata [20.2 kB]
Get:13 Index of /ubuntu-ports impish-security/universe arm64 DEP-11 Metadata [3,616 B]
Reading package lists… Done
E: The repository ‘Index of /gnome-terminator/ppa/ubuntu impish Release’ does not have a Release file.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: http://ports.ubuntu.com/ubuntu-ports/dists/impish/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg.d/NAME.gpg are ignored as the file is not readable by user ‘_apt’ executing apt-key.
E: The repository ‘https://apt.matrix.one/raspbian impish Release’ does not have a Release file.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: http://ports.ubuntu.com/ubuntu-ports/dists/impish-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg.d/NAME.gpg are ignored as the file is not readable by user ‘_apt’ executing apt-key.
W: http://ports.ubuntu.com/ubuntu-ports/dists/impish-backports/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg.d/NAME.gpg are ignored as the file is not readable by user ‘_apt’ executing apt-key.
W: http://ports.ubuntu.com/ubuntu-ports/dists/impish-security/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg.d/NAME.gpg are ignored as the file is not readable by user ‘_apt’ executing apt-key.
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
Calculating upgrade… Done
The following packages have been kept back:
fwupd
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

then of course when doing

sudo apt-get install matrixio-malos

Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
E: Unable to locate package matrixio-malos

Could please somebody help? the problem is that the package cannot be downloaded because there seem to be an issue with the key.

I appreciate your help

Thanks,

Christian

What version of Raspberry Pi OS are you using? Was running into the same issue with Bullseye, fixed when switched over to Buster.